Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.model
Interface EditPointConstraint

All Known Implementing Classes:
  BasicEditPointConstraint, EditPointConstraintCollator

public interface EditPointConstraint

So far, this is just a tagging interface for constraints passed to Element.setPoint() methods. This might be readily extended in the near future.

Since:
  jPicEdt 1.4
Version:
  $Id: EditPointConstraint.java,v 1.4.2.1 2007/09/02 11:56:26 reynal Exp $
Author:
  $Author: reynal $

Method Summary
`boolean` | `imposes(EditPointConstraint c)` Returns true if this constraint imposes the given constraint.

Method Detail

### imposes

    public boolean imposes(EditPointConstraint c)

  Returns true if this constraint imposes the given constraint. This is useful for constraints which may contain several AND'd constraints at once.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org